http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/Updates the configuration of an existing slot type.
The unique identifier of the slot type to update.
The identifier of the bot that contains the slot type.
The version of the bot that contains the slot type. Must be <code>DRAFT</code>.
The identifier of the language and locale that contains the slot type. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The new description of the slot type.
The new name of the slot type.
A new list of values and their optional synonyms that define the values that the slot type can take.
Provides information about the external source of the slot type's definition.
Contains settings used by Amazon Lex to select a slot value.
The new built-in slot type that should be used as the parent of this slot type.
A composite slot is a combination of two or more slots that capture multiple pieces of information in a single user input.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/Updates the configuration of an existing slot type.
The unique identifier of the slot type to update.
The identifier of the bot that contains the slot type.
The version of the bot that contains the slot type. Must be <code>DRAFT</code>.
The identifier of the language and locale that contains the slot type. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The new description of the slot type.
The new name of the slot type.
A new list of values and their optional synonyms that define the values that the slot type can take.
Provides information about the external source of the slot type's definition.
Contains settings used by Amazon Lex to select a slot value.
The new built-in slot type that should be used as the parent of this slot type.
A composite slot is a combination of two or more slots that capture multiple pieces of information in a single user input.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}